aboutsummaryrefslogtreecommitdiffstats
path: root/x11
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-03-15 13:23:43 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-03-15 13:23:43 +0000
commit054b0c9d281b451ebf7a1662d20fe4855d946b27 (patch)
tree2fbaa15de0d890d32a329d4296db8ee2f32c09d9 /x11
parentb4beaef9002bc4ac05c30ce07454a4a596d6cb1e (diff)
downloadaports-054b0c9d281b451ebf7a1662d20fe4855d946b27.tar.gz
aports-054b0c9d281b451ebf7a1662d20fe4855d946b27.tar.bz2
aports-054b0c9d281b451ebf7a1662d20fe4855d946b27.tar.xz
x11/libICE: new aport
X11 Inter-Client Exchange library
Diffstat (limited to 'x11')
-rw-r--r--x11/libICE/APKBUILD20
1 files changed, 20 insertions, 0 deletions
diff --git a/x11/libICE/APKBUILD b/x11/libICE/APKBUILD
new file mode 100644
index 0000000000..16a37d51f9
--- /dev/null
+++ b/x11/libICE/APKBUILD
@@ -0,0 +1,20 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=libICE
+pkgver=1.0.5
+pkgrel=0
+pkgdesc="X11 Inter-Client Exchange library"
+url="http://xorg.freedesktop.org/"
+license="custom"
+depends="uclibc"
+makedepends="pkgconfig xproto xtrans"
+subpackages="$pkgname-dev"
+source="http://xorg.freedesktop.org/releases/individual/lib/libICE-$pkgver.tar.bz2"
+
+build () {
+ cd "$srcdir"/libICE-$pkgver
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc
+ make || return 1
+ make DESTDIR="$pkgdir" install || return 1
+}
+md5sums="ca1f9563a7cc5e8017de7221bdb2ade3 libICE-1.0.5.tar.bz2"